# SystemSaveData | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface SystemSaveData

interface SystemSaveData {
achvUnlocks : AchvUnlocks;
dexData : DexData ;
eggPity : number[];
eggs : default [];
gameStats : GameStats ;
gameVersion : string;
gender : PlayerGender ;
secretId : number;
starterData : StarterData ;
timestamp : number;
trainerId : number;
unlockPity : number[];
unlocks : Unlocks;
voucherCounts : VoucherCounts ;
voucherUnlocks : VoucherUnlocks;
}

- Defined in src/system/game-data.ts:131

##### Index

### Properties

achvUnlocks
dexData
eggPity
eggs
gameStats
gameVersion
gender
secretId
starterData
timestamp
trainerId
unlockPity
unlocks
voucherCounts
voucherUnlocks

## Properties

### achvUnlocks

achvUnlocks: AchvUnlocks

- Defined in src/system/game-data.ts:139

### dexData

dexData: DexData

- Defined in src/system/game-data.ts:135

### eggPity

eggPity: number[]

- Defined in src/system/game-data.ts:145

### eggs

eggs: default []

- Defined in src/system/game-data.ts:142

### gameStats

gameStats: GameStats

- Defined in src/system/game-data.ts:137

### gameVersion

gameVersion: string

- Defined in src/system/game-data.ts:143

### gender

gender: PlayerGender

- Defined in src/system/game-data.ts:134

### secretId

secretId: number

- Defined in src/system/game-data.ts:133

### starterData

starterData: StarterData

- Defined in src/system/game-data.ts:136

### timestamp

timestamp: number

- Defined in src/system/game-data.ts:144

### trainerId

trainerId: number

- Defined in src/system/game-data.ts:132

### unlockPity

unlockPity: number[]

- Defined in src/system/game-data.ts:146

### unlocks

unlocks: Unlocks

- Defined in src/system/game-data.ts:138

### voucherCounts

voucherCounts: VoucherCounts

- Defined in src/system/game-data.ts:141

### voucherUnlocks

voucherUnlocks: VoucherUnlocks

- Defined in src/system/game-data.ts:140